Get Procedure

Retrieve a procedure at a specific version or the current branch HEAD.

Path parameters

agent_idstringRequired
Agent ID to get the procedure draft from
branch_idstringRequired
Branch ID to get the procedure draft from
procedure_idstringRequired
The procedure ID

Headers

xi-api-keystringOptional

Query parameters

version_idstringOptional
The version ID to retrieve. If omitted, returns the version at branch HEAD.

Response

Successful Response
procedure_idstring
Procedure ID
namestring<=200 characters
Procedure name
contentstring<=50000 characters
Procedure content
version_idstring
Version ID of a version of the procedure. None for a procedure never versioned.
typeenumDefaults to free_form
Procedure type
triggerstringDefaults to

When the agent should use this procedure. Empty string means this is a sub-procedure that should only start when another procedure references it.

Errors

422
Procedures Get Request Unprocessable Entity Error